Camel 3.3.0 and activemq

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Camel 3.3.0 and activemq

cvdenzen
I try to install camel 3.3.0 on Karaf 4.2.8.

It is an almost totally clean install, except for a config file
etc/activemq.xml.

Activemq does not start (I do not see any sockets created), and gives
this error (I also put this output in attachment bug1.txt, maybe the
layout will be better):
18:10:25.784 DEBUG [features-3-thread-1] Candidate permutation failed
due to a conflict between imports; will try another if possible. (Uses
constraint violation. Unable to resolve resource
org.apache.activemq.activemq-osgi [org.apache.activemq.activemq-
osgi/5.15.12] because it is exposed to package
'org.apache.zookeeper.server.persistence' from resources
wrap_file__var_lib_openhab2_.m2_repository_org_apache_zookeeper_zookeep
er-jute_3.5.7_zookeeper-jute-3.5.7.jar_Export-
Package_org.apache.jute_version_3.5.7_org.apache.zookeeper.__version_3.
5.7
[wrap_file__var_lib_openhab2_.m2_repository_org_apache_zookeeper_zookee
per-jute_3.5.7_zookeeper-jute-3.5.7.jar_Export-
Package_org.apache.jute_version_3.5.7_org.apache.zookeeper.__version_3.
5.7/0.0.0] and
wrap_file__var_lib_openhab2_.m2_repository_org_apache_zookeeper_zookeep
er_3.5.7_zookeeper-3.5.7.jar_Export-
Package_org.apache.zookeeper_version_3.5.7_org.apache.zookeeper.__versi
on_3.5.7
[wrap_file__var_lib_openhab2_.m2_repository_org_apache_zookeeper_zookee
per_3.5.7_zookeeper-3.5.7.jar_Export-
Package_org.apache.zookeeper_version_3.5.7_org.apache.zookeeper.__versi
on_3.5.7/0.0.0] via two dependency chains.

Chain 1:
  org.apache.activemq.activemq-osgi [org.apache.activemq.activemq-
osgi/5.15.12]
    import:
(osgi.wiring.package=org.apache.zookeeper.server.persistence)
     |
    export: osgi.wiring.package:
org.apache.zookeeper.server.persistence
 
wrap_file__var_lib_openhab2_.m2_repository_org_apache_zookeeper_zookeep
er-jute_3.5.7_zookeeper-jute-3.5.7.jar_Export-
Package_org.apache.jute_version_3.5.7_org.apache.zookeeper.__version_3.
5.7
[wrap_file__var_lib_openhab2_.m2_repository_org_apache_zookeeper_zookee
per-jute_3.5.7_zookeeper-jute-3.5.7.jar_Export-
Package_org.apache.jute_version_3.5.7_org.apache.zookeeper.__version_3.
5.7/0.0.0]

Chain 2:
  org.apache.activemq.activemq-osgi [org.apache.activemq.activemq-
osgi/5.15.12]
    import: (osgi.wiring.package=org.apache.zookeeper.server)
     |
    export: osgi.wiring.package: org.apache.zookeeper.server;
uses:=org.apache.zookeeper.server.persistence
    export: osgi.wiring.package=org.apache.zookeeper.server.persistence
 
wrap_file__var_lib_openhab2_.m2_repository_org_apache_zookeeper_zookeep
er_3.5.7_zookeeper-3.5.7.jar_Export-
Package_org.apache.zookeeper_version_3.5.7_org.apache.zookeeper.__versi
on_3.5.7
[wrap_file__var_lib_openhab2_.m2_repository_org_apache_zookeeper_zookee
per_3.5.7_zookeeper-3.5.7.jar_Export-
Package_org.apache.zookeeper_version_3.5.7_org.apache.zookeeper.__versi
on_3.5.7/0.0.0])


bug1.txt (3K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Camel 3.3.0 and activemq

jbonofre
Hi,

For ActiveMQ, you need to repo-add spring-legacy first.
I just try on fresh Karaf and it works fine (with ActiveMQ 5.15.12).

Zookeeper doesn’t seem related, I guess it’s required by openhab right ?

Regards
JB

> Le 24 mai 2020 à 18:33, Carl van Denzen <[hidden email]> a écrit :
>
> I try to install camel 3.3.0 on Karaf 4.2.8.
>
> It is an almost totally clean install, except for a config file
> etc/activemq.xml.
>
> Activemq does not start (I do not see any sockets created), and gives
> this error (I also put this output in attachment bug1.txt, maybe the
> layout will be better):
> 18:10:25.784 DEBUG [features-3-thread-1] Candidate permutation failed
> due to a conflict between imports; will try another if possible. (Uses
> constraint violation. Unable to resolve resource
> org.apache.activemq.activemq-osgi [org.apache.activemq.activemq-
> osgi/5.15.12] because it is exposed to package
> 'org.apache.zookeeper.server.persistence' from resources
> wrap_file__var_lib_openhab2_.m2_repository_org_apache_zookeeper_zookeep
> er-jute_3.5.7_zookeeper-jute-3.5.7.jar_Export-
> Package_org.apache.jute_version_3.5.7_org.apache.zookeeper.__version_3.
> 5.7
> [wrap_file__var_lib_openhab2_.m2_repository_org_apache_zookeeper_zookee
> per-jute_3.5.7_zookeeper-jute-3.5.7.jar_Export-
> Package_org.apache.jute_version_3.5.7_org.apache.zookeeper.__version_3.
> 5.7/0.0.0] and
> wrap_file__var_lib_openhab2_.m2_repository_org_apache_zookeeper_zookeep
> er_3.5.7_zookeeper-3.5.7.jar_Export-
> Package_org.apache.zookeeper_version_3.5.7_org.apache.zookeeper.__versi
> on_3.5.7
> [wrap_file__var_lib_openhab2_.m2_repository_org_apache_zookeeper_zookee
> per_3.5.7_zookeeper-3.5.7.jar_Export-
> Package_org.apache.zookeeper_version_3.5.7_org.apache.zookeeper.__versi
> on_3.5.7/0.0.0] via two dependency chains.
>
> Chain 1:
>  org.apache.activemq.activemq-osgi [org.apache.activemq.activemq-
> osgi/5.15.12]
>    import:
> (osgi.wiring.package=org.apache.zookeeper.server.persistence)
>     |
>    export: osgi.wiring.package:
> org.apache.zookeeper.server.persistence
>
> wrap_file__var_lib_openhab2_.m2_repository_org_apache_zookeeper_zookeep
> er-jute_3.5.7_zookeeper-jute-3.5.7.jar_Export-
> Package_org.apache.jute_version_3.5.7_org.apache.zookeeper.__version_3.
> 5.7
> [wrap_file__var_lib_openhab2_.m2_repository_org_apache_zookeeper_zookee
> per-jute_3.5.7_zookeeper-jute-3.5.7.jar_Export-
> Package_org.apache.jute_version_3.5.7_org.apache.zookeeper.__version_3.
> 5.7/0.0.0]
>
> Chain 2:
>  org.apache.activemq.activemq-osgi [org.apache.activemq.activemq-
> osgi/5.15.12]
>    import: (osgi.wiring.package=org.apache.zookeeper.server)
>     |
>    export: osgi.wiring.package: org.apache.zookeeper.server;
> uses:=org.apache.zookeeper.server.persistence
>    export: osgi.wiring.package=org.apache.zookeeper.server.persistence
>
> wrap_file__var_lib_openhab2_.m2_repository_org_apache_zookeeper_zookeep
> er_3.5.7_zookeeper-3.5.7.jar_Export-
> Package_org.apache.zookeeper_version_3.5.7_org.apache.zookeeper.__versi
> on_3.5.7
> [wrap_file__var_lib_openhab2_.m2_repository_org_apache_zookeeper_zookee
> per_3.5.7_zookeeper-3.5.7.jar_Export-
> Package_org.apache.zookeeper_version_3.5.7_org.apache.zookeeper.__versi
> on_3.5.7/0.0.0])
>
> <bug1.txt>